class InsertUserActivityRequestModel {
  String? identificationNo;
  String? mobileNumber;
  num? quantityIntake;

  InsertUserActivityRequestModel({
    this.identificationNo,
    this.mobileNumber,
    this.quantityIntake,
  });

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (identificationNo != null) map['IdentificationNo'] = identificationNo;
    if (mobileNumber != null) map['MobileNumber'] = mobileNumber;
    if (quantityIntake != null) map['QuantityIntake'] = quantityIntake;
    return map;
  }

  factory InsertUserActivityRequestModel.fromJson(Map<String, dynamic> json) => InsertUserActivityRequestModel(
        identificationNo: json['IdentificationNo']?.toString(),
        mobileNumber: json['MobileNumber']?.toString(),
        quantityIntake: json['QuantityIntake'],
      );
}

